idf_component_register(
SRCS 
    "app_lvgl.c"
    "app_main.c"
    "app_mqtt.c"
    "app_ui.c"
    "app_weather.c"
    "app_wifi.c"
    "assets/fonts/noto_sans_24.c"
    "assets/fonts/noto_sans_96.c"
    "assets/fonts/noto_sans_150.c"
    "assets/fonts/noto_sans_240.c"
    "assets/fonts/weather_icon_24.c"
    "assets/fonts/weather_icon_96.c"
    "assets/fonts/weather_icon_150.c"
    "assets/fonts/weather_icon_240.c"

INCLUDE_DIRS
    "include"
)
